VisualEditor: VE should use the existing "action" URL parameter instead of the new "veaction"
Closed, ResolvedPublic8 Story Points

Details

Reference
bz52281

Related Objects

StatusAssignedTask
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
ResolvedKrenair
DeclinedWhatamidoing-WMF
ResolvedKrenair
ResolvedKrenair
InvalidKrinkle
ResolvedKrenair
ResolvedKrenair
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz52281.
He7d3r created this task.Jul 30 2013, 5:40 PM

For the sake of solving bug 51421, maybe it could use "action=vedit"?

Another reason why the current method is not ideal, taken from
https://www.mediawiki.org/wiki/Thread:VisualEditor/Feedback/Categories/reply_(8)

Lots of template transclusions also offer a specific edit link.
Their action uses only the wiki code editor. If both actions
"edit" and "editVE" were merged into a single one (with a simple
switch to show either the editable preview or the wiki code) it
would be simpler. And the "Show preview" button could disappear
below the wiki editor (it would just remain a "Save page" button),
but the "Save" button could also show the actual rendering
without the limitations of the editable preview.

See also bug 53746 comment 3.

(In reply to Helder from comment #1)

For the sake of solving bug 51421, maybe it could use "action=vedit"?

+1

(per https://phabricator.wikimedia.org/T55441#962602)

I agree. I don't think it's realistic or desirable to change the url of the editor. Instead we should (eventually) change the default. We can support permalinks for when the url given is semantically related to VisualEditor, but in most cases that is not the case.

There are many cases where the link itself has no relation to an editor, but we do want to send traffic to VisualEditor for new users (when configured as default):

  • red links generated by the parser.
  • edit links generated by templates.
  • edit links created by extensions and gadgets.
  • third party sites.
  • existing content and discussions.

The majority of those links cannot be feasibly changed, with the exception of those generated by the parser as red links. To change those, the parser would need access to user preferences (which fragments the cache) and the parser would need access the target page content model (which requires additional expensive queries, and is also variable; so it would require cascading cache invalidation).

Instead of changing the url of the "Edit" or "Create" tab in the interface (and providing secondary links for other editors), it probably makes more sense to hook into EditAction (action=edit) and change the default server-side (based on page content model, and current user preferences). Then, we can use an optional query parameter (e.g. action=edit&editor=visualeditor) in case a direct permanent is wanted. Such as when switching between the editors, or when otherwise relying on exact behaviour (e.g. browser tests and gadgets).

He7d3r updated the task description. (Show Details)Jun 11 2015, 9:26 AM
He7d3r set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 2 2015, 8:54 PM
Jdforrester-WMF closed this task as Resolved.Feb 16 2016, 11:13 PM
Jdforrester-WMF claimed this task.

This is now mostly done, for single edit tab wikis.